com.amazonaws.services.simpleworkflow.model

## Enum ScheduleActivityTaskFailedCause

- java.lang.Object
- - java.lang.Enum<ScheduleActivityTaskFailedCause>
  - - com.amazonaws.services.simpleworkflow.model.ScheduleActivityTaskFailedCause

All Implemented Interfaces:
  Serializable, Comparable<ScheduleActivityTaskFailedCause>

    public enum ScheduleActivityTaskFailedCause
    extends Enum<ScheduleActivityTaskFailedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVITY_CREATION_RATE_EXCEEDED`
`ACTIVITY_ID_ALREADY_IN_USE`
`ACTIVITY_TYPE_DEPRECATED`
`ACTIVITY_TYPE_DOES_NOT_EXIST`
`DEFAULT_HEARTBEAT_TIMEOUT_UNDEFINED`
`DEFAULT_SCHEDULE_TO_CLOSE_TIMEOUT_UNDEFINED`
`DEFAULT_SCHEDULE_TO_START_TIMEOUT_UNDEFINED`
`DEFAULT_START_TO_CLOSE_TIMEOUT_UNDEFINED`
`DEFAULT_TASK_LIST_UNDEFINED`
`OPEN_ACTIVITIES_LIMIT_EXCEEDED`
`OPERATION_NOT_PERMITTED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ScheduleActivityTaskFailedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static ScheduleActivityTaskFailedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScheduleActivityTaskFailedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVITY_TYPE_DEPRECATED

    public static final ScheduleActivityTaskFailedCause ACTIVITY_TYPE_DEPRECATED

#### ACTIVITY_TYPE_DOES_NOT_EXIST

    public static final ScheduleActivityTaskFailedCause ACTIVITY_TYPE_DOES_NOT_EXIST

#### ACTIVITY_ID_ALREADY_IN_USE

    public static final ScheduleActivityTaskFailedCause ACTIVITY_ID_ALREADY_IN_USE

#### OPEN_ACTIVITIES_LIMIT_EXCEEDED

    public static final ScheduleActivityTaskFailedCause OPEN_ACTIVITIES_LIMIT_EXCEEDED

#### ACTIVITY_CREATION_RATE_EXCEEDED

    public static final ScheduleActivityTaskFailedCause ACTIVITY_CREATION_RATE_EXCEEDED

#### DEFAULT_SCHEDULE_TO_CLOSE_TIMEOUT_UNDEFINED

    public static final ScheduleActivityTaskFailedCause DEFAULT_SCHEDULE_TO_CLOSE_TIMEOUT_UNDEFINED

#### DEFAULT_TASK_LIST_UNDEFINED

    public static final ScheduleActivityTaskFailedCause DEFAULT_TASK_LIST_UNDEFINED

#### DEFAULT_SCHEDULE_TO_START_TIMEOUT_UNDEFINED

    public static final ScheduleActivityTaskFailedCause DEFAULT_SCHEDULE_TO_START_TIMEOUT_UNDEFINED

#### DEFAULT_START_TO_CLOSE_TIMEOUT_UNDEFINED

    public static final ScheduleActivityTaskFailedCause DEFAULT_START_TO_CLOSE_TIMEOUT_UNDEFINED

#### DEFAULT_HEARTBEAT_TIMEOUT_UNDEFINED

    public static final ScheduleActivityTaskFailedCause DEFAULT_HEARTBEAT_TIMEOUT_UNDEFINED

#### OPERATION_NOT_PERMITTED

    public static final ScheduleActivityTaskFailedCause OPERATION_NOT_PERMITTED

### Method Detail

#### values

    public static ScheduleActivityTaskFailedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScheduleActivityTaskFailedCause c : ScheduleActivityTaskFailedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScheduleActivityTaskFailedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ScheduleActivityTaskFailedCause>`

#### fromValue

    public static ScheduleActivityTaskFailedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  ScheduleActivityTaskFailedCause corresponding to the value